#include<bits/stdc++.h>
using namespace std;
long long N, ans, a;
vector<long long> v;
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cin>>N;
    for(long long i=0; i<N; i++){
        cin>>a;
        if(a%2==0)v.push_back(i);
    }
    for(long long i=0; i<v.size(); i++){
        if(i!=v.size()-1){
            ans+=(v[i+1]-v[i])*(v[i]+1);
        }else ans+=(N-v[i])*(v[i]+1);
    }
    cout<<ans<<endl;
    return 0;
}
